/**
 * Defines the types of individuals.
 *
 * @author Ivano Bilenchi
 *
 * @file
 */

#ifndef TME_ABOX_ENTRY_TYPE_H
#define TME_ABOX_ENTRY_TYPE_H

#include "tme_std.h"
#include "tme_flags.h"

TME_BEGIN_DECLS

/**
 * Represents the type of an individual with regards to semantic matchmaking tasks.
 * In this context, an individual can be either a resource, a request, or both.
 */
typedef TmeFlags(8) TmeABoxEntryType;

/// Neither a resource nor a request.
#define TME_AET_NONE        tme_flags_empty

/// Resource.
#define TME_AET_RESOURCE    tme_flags_bit(0)

/// Request.
#define TME_AET_REQUEST     tme_flags_bit(1)

/// Both resource and request at the same time.
#define TME_AET_ANY         (TME_AET_RESOURCE | TME_AET_REQUEST)

TME_END_DECLS

#endif // TME_ABOX_ENTRY_TYPE_H
